Loading...
Searching...
No Matches
Ogre::TerrainAutoUpdateLodByDistance Class Reference
Optional Components » Terrain

Class implementing TerrainAutoUpdateLod interface. More...

`#include <OgreTerrainAutoUpdateLod.h>`

Inheritance diagram for Ogre::TerrainAutoUpdateLodByDistance:
[legend]

## Public Member Functions

void | autoUpdateLod (Terrain *terrain, bool synchronous, const Any &data) override
| Method to be called to change terrain's LOD level.
uint32 | getStrategyId () override
Public Member Functions inherited from Ogre::TerrainAutoUpdateLod
virtual | ~TerrainAutoUpdateLod ()

## Detailed Description

Class implementing TerrainAutoUpdateLod interface.

It does LOD level increase/decrease according to camera's distance to Terrain.

## Member Function Documentation

## autoUpdateLod()

void Ogre::TerrainAutoUpdateLodByDistance::autoUpdateLod | ( | Terrain * | terrain,
|  | bool | synchronous,
|  | const Any & | data )

override virtual

Method to be called to change terrain's LOD level.

Parameters

  terrain | Instance of Terrain which LOD level is going to be changed
  synchronous | Run this as part of main thread or in background
  data | Any user specific data.

Implements Ogre::TerrainAutoUpdateLod.

## getStrategyId()

uint32 Ogre::TerrainAutoUpdateLodByDistance::getStrategyId | ( |  | ) |

inline override virtual

Implements Ogre::TerrainAutoUpdateLod.

References Ogre::BY_DISTANCE.

The documentation for this class was generated from the following file:

- OgreTerrainAutoUpdateLod.h